About conceptual Web site diagrams

Show me an example

A well-organized Web site begins with a plan. The first step in developing this plan is to brainstorm about the big picture—the site's purpose, content, and overall organization. You can stimulate this discussion by creating a high-level, conceptual diagram of your new Web site using the Conceptual Web Site template. You also can use this type of diagram to reorganize an existing site.

The Conceptual Web Site template opens three stencils:

  • Conceptual Web Site Shapes Use these shapes to represent general content, such as pages, page groups, and related pages.
  • Web Site Map Shapes Use these shapes to represent specific content, such as ActiveX controls, files, multimedia, and images.
  • Callouts Use these shapes to annotate your diagram.


Create a new Web site diagram

Show me an example

  1. On the File menu, point to New, point to Web Diagram, and then click Conceptual Web Site.
  2. Click the Connector tool [image] on the Standard toolbar.
  3. Drag the Main Page shape onto the drawing page from the Conceptual Web Site Shapes stencil.
  4. With the Main Page shape selected, drag another shape onto the drawing page.

The shapes connect. Each new shape connects to the shape that is currently selected.

With one shape selected, drag another onto the page. The two automatically connect.

  5. Continue dragging shapes onto the drawing page and connecting them until you've completed your diagram.
  6. Optional: Add descriptions to the shapes and annotate the diagram as necessary.

Click to show or hide information. Add a description to a Web site shape

  1. On the View menu, click Custom Properties Window.
  2. In the Description box, type a description, and then click OK.

Click to show or hide information. Annotate a conceptual Web site diagram

  1. Drag the desired callout shape onto the drawing page from the Callout stencil.
  2. Connect the callout shape to the shape with which the callout information is associated.
  3. Double-click the callout shape to enter text. You can also adjust the width of the callout text block by dragging the callout shape's selection handles [image].

  7. Align and distribute the shapes in your diagram to fine-tune it.
  8. Drag a Legend shape onto the drawing page from the Conceptual Web Site Shapes stencil. To modify the legend text, select the text, and then type.
  9. Save the diagram.


About the Web Site Map template

Use the Web Site Map template to discover the contents of a Web site on an HTTP server, network server, or local hard drive. The template searches the HTML code of the Web pages and creates a memory model of the links on the site and the elements they connect. From this memory model, you can:

  • Automatically generate a site map for the site, with shapes representing the links on the Web site.

How?

  • Troubleshoot the site by quickly finding the shapes that represent broken links and viewing the errors encountered when those links were searched.

How?

  • Generate an HTML file listing all links in a Web site, or only those that contain hyperlink errors.

How?

  • Track changes on a Web site by comparing two maps of the same site, and generating an HTML list of their differences.

How?


About Web site maps

Show me an example

Use the Web Site Map template to generate a site map for a Web site on an HTTP server, network server, or local hard drive.

Site maps help you maintain and troubleshoot your site. Use them to analyze your site's organization and to classify its content. Site maps are particularly helpful when you inherit sites you're not familiar with.

Each shape in the site map represents a link on your Web site, and each shape includes information about the link type and location. Shapes include hyperlinks so you can browse directly from a shape to the link it represents.

After you've generated a site map for an existing site, you can use it to troubleshoot the site. You can find the shapes that represent broken links and view the error messages encountered when those links were searched.

Create a map of an existing web site


Create a map of an existing Web site

Show me an example

  1. On the File menu, point to New, point to Web Diagram, and then click Web Site Map.
  2. In the Generate Site Map dialog box, enter an address for a Web site for either of the following:
  • An HTTP server. In the Address box, enter the address of the Web site you want to map.
  • A network server or a local hard drive. Click Browse, navigate to the file you want at the root of your site map, and then click Open.

Note You can achieve best results by entering a full path and file name rather than a path that assumes a default file name. For example, enter http://championzone.org/default.html rather than http://championzone.org.

  3. Review the maximum number of levels and number of links that will be discovered.

To change either limit, click Settings. On the Layout tab, click Entire web site, edit the limits, and then click OK.

Note You can also map just one level below an address. On the Layout tab, select One level and then click OK.

  4. Optional: Click Settings, and further customize your Web site discovery by doing any of the following:
  • On the Layout tab, click Modify Layout to change the layout style of the Web site map to be generated.
  • On the Extensions tab, select the extension groups you want to map.
  • On the Protocols tab, select the protocol groups you want to map.
  • On the Attributes tab, select the attributes you want to search for links.
  • On the Advanced tab, select options that further refine your search criteria.
  5. Click OK.
  6. In the Generate Site Map dialog box, click OK.

A progress dialog box appears while the Web Site Map template generates the memory model and lays out your site map.

Once you have generated a Web site map, you can modify the map's content and appearance by working with its various shapes.

How?

You can also use the memory model to generate reports listing the links and any hyperlink errors encountered.

Click to show or hide information. Generate a Web site link report

Do one of the following:

  • For a complete list of the objects in the memory model, on the Web menu, point to Reports, and then click All shapes, by type.
  • For a complete list of only those objects in the memory model that have hyperlink errors, on the Web menu, point to Reports, and then click Shapes with hyperlink errors.

The Web Site Map template generates an HMTL file listing the appropriate objects. This report is opened in the application you have specified for HTML files.

  7. Save the site map.


Automatically update the broken link shapes in a Web site map

Right-click the broken link shape in the site map, and then click Refresh Hyperlink [Address].

The Web Site Map template regenerates a map for the HTML or ASP page.

Note Updating a link in your site map does not correct the problem on your Web site.


Change the layout of an entire Web site map

  1. On the Tools menu, click Lay Out Shapes.
  2. Select the layout style, direction, and depth you want, and then click OK.

Note To revert to your last layout, click Edit and then click Undo.


Move a portion of a Web site map onto a separate page

Right-click the shape whose connected shapes you want to move to a separate page, and then click Make Subpage.

A shape and all its links to a separate page to prevent overcrowding the site map.

The Make Subpage command creates a new page, moves the connected shapes to the new page, and creates an Off-Page Connector shape on both pages. Double-click the Off-Page Connector shape to move between pages. Or, right-click the Off-Page Connector shape, and then click Go To [Page] on the shortcut menu.


Troubleshoot a Web site with broken links

Show me an example

  1. Zoom in and pan your Web site map to look for the Broken Links shapes.

Or,

Create a report listing the broken links by pointing to Reports on the Web menu, and then clicking Shapes with hyperlink errors.

  2. View the error that caused the broken link.

Click to show or hide information. How?

  1. Select a shape that represents a broken link.
  2. On the View menu, click Custom Properties Window to view the error in the Custom Properties window.

Click to show or hide information. Tip

You can also right-click a shape and click Properties to view the Custom Properties window.

Many broken links are caused by incorrect file names, incorrect file locations, and missing files, all of which can trigger a 404 or File Not Found error message. Other broken links can be caused by Site Not Found, Access Denied, Password Required, or Site Timed Out error messages.

  3. Fix the link on your Web site or report the broken link to your Webmaster.
  4. Update the shape representing the broken link.

Click to show or hide information. How?

Right-click the broken link shape in the site map, and then click Refresh Hyperlink [Address].

The Web Site Map template regenerates the shapes for the HTML or ASP page, and the first level of links from that page.

Note Updating a link in your site map does not correct the problem on your Web site.

  5. Save the site map.


Create a report of Web site links

  1. Generate or open the Web site map for which you want to create a report.
  2. Do either of the following:
  • For a complete list of the objects in the memory model, on the Web menu, point to Reports, and then click All shapes, by type.
  • For a complete list of only those objects in the memory model that have hyperlink errors, on the Web menu, point to Reports, and then click Shapes with hyperlink errors.

The Web Site Map template generates an HMTL file listing the appropriate objects. This report is opened in the application you have specified for HTML files.

  3. Name and save the report.


Compare Web site maps

  1. Generate or open the most recent map of the Web site.
  2. On the Web menu, point to Reports, and then click Compare to previous document.
  3. Browse to the Web site map you want to compare to the one you have open, and click Open.

The Web Site Map template compares the memory models of each map. It searches for links that appear in only one of the models. In addition, for links that appear in both models, it compares:

  • Error status of the link
  • File title
  • File size
  • File modification date

The template generates an HMTL file listing this information. The report is opened in the application you have specified for HTML files.

  4. In the application you have specified for HTML files, name and save the report.


About the Web site map memory model

When you generate a Web site map, the Web Site Map template creates a memory model that is saved as part of the file. The memory model contains a list of every link discovered, properties of the elements the links connect (such as file type), and information on how the links are organized. The template uses this memory model to lay out the Web site map. Changes to the map don't change the memory model, but changes to the memory model automatically change the map.

The Filter and List windows always show the entire memory model. The Web site map may only show a portion of the model. Individual pages can be used to display only the portion of the map that is currently of interest. You can use the model and pages together to show different portions of the site, and to show more or less detail as desired.

Here are several points to keep in mind when working with the Web Site Map template:

  • The memory model contains only the types of links that you have directed the Web Site Map template to discover. To map additional types of links later, you must change the options you selected and rediscover the Web site.
  • The memory model contains all the links you that you have directed the Web Site Map template to discover, whether or not those links are represented by shapes in the Web site map. You can delete shapes from the map, or filter them so they don't appear on the map, and this does not affect the underlying memory model.
  • The List and Filter windows display all the links contained in the memory model, whether or not those links are represented by shapes in the Web site map.
  • If you delete a shape from the Web site map, that link remains in the memory model. You can add it to the map again by selecting it in the List or Filter window and dragging it onto a site map page.
  • If you delete a link from the List or Filter windows, the link is deleted from the memory model, and shapes representing that link are deleted from all Web site map pages.
  • You can drop additional shapes on a Web site map page. However, they are added to the memory model only after you specify a URL address for them.
  • When you drop a link from the List or Filter window onto the page, the Web Site Map template redraws the entire site map using that link as the starting point.
  • The memory model and the Web site it represents are not actively linked. Updating one does not update the other. To map the changes made to an actual Web site, you must either refresh a portion of the site map or rediscover the Web site.


About examining HTML code and generating Web site maps

The Web Site Map template performs the following steps to create a site map:

  1. It searches for the Internet address or local file you enter in the Generate Site Map dialog box.

The Web Site Map template can read any protocol; however, it only browses sites on network servers, local hard drives, or HTTP servers.

  2. As it discovers each page at the site, it searches the HTML code for the attributes that you specify in the Attributes tab of the Web Site Map Settings dialog box.

Click to show or hide information. Attributes searched for by default

By default, the Web Site Map template searches for the following attributes:

  • ACTION
  • BACKGROUND
  • CODE
  • HREF
  • SRC

  3. It examines the attributes to determine whether they contain links and protocols that you have specified.

You can specify the type of links you want to include in your site map on the Extensions tab of the Web Site Map Settings dialog box.

Click to show or hide information. Extensions searched for by default

By default, the Web Site Map template searches for these file types:

File Type | Extension
ASP | asp asa cdx
Archive | zip cab z gz tgz uu uue hqx lha lzh sit sea
Audio | wav snd au aif aifc aiff mp2 mp3 mid rmi midi wma ra ram
Document | doc xls ppt mdb pub prj vsd rtf pdf txt
FrontPage file | fpweb fphtml
Generic | *.*
Graphic | img jpg jpeg gif bmp png art jpe
HTML | htm html shtm shtml htw mht mhtml jhtml php php3
Image map | map
Java and JavaScript | class js java
Multimedia | swf dcr swl wrl wm rm
Plug-in | ocx dll
Program | exe bin
Script | cgi vbs cfm
Template | css asx htx htt
Video | avi mov qt mpg mpeg mpe wmv m1v mpv2 mp2v mpa asf
XML | xml xsl dtd osd cdf

You can specify the protocol types (such as MAILTO, FTP, and GOPHER) that you want to include in your site map in the Protocols tab of the Web Site Map Settings dialog box.

Click to show or hide information. Protocols searched for by default

By default, the Web Site Map template searches for the following protocols:

Protocol type | Protocol
FTP | ftp
File | file
Gopher | GOPHER
HTTP | http https
MailTo | Mailto
Newsgroup | NEWS NTTP
Search | PROSPERO
Telnet | TELNET
WAIS | WAIS

The template confines its search to adhere to any limits you may have specified (such as only mapping links within the specified domain). You can set these limits on the Advanced tab of the Web Site Map dialog box.

  4. The template continues to discover links until
  • It has discovered the entire site, or
  • It has reached either the maximum number of levels or maximum number of links you specified for it to discover.

You can specify these limits on the Layout tab of the Web Site Map Settings dialog box.

  5. The Web Site Map template creates a memory model that is saved as part of the file. The memory model contains a list of every link discovered, properties of the elements they connect (such as file type), and how the links relate to each other.
  6. Using the information in the memory model, the template creates a one-page site map of all the links discovered.


About opening Web site maps created in previous versions of Microsoft Visio

Web site maps generated using Microsoft Visio 2000 do not contain a memory model. When you open those Web site maps in Microsoft Visio 2002, a memory model is created based on the contents of the site map diagram.

If you use Visio 2000 to open a Web site map generated in Visio 2002, the memory model is deleted from the file. The memory model can be regenerated by once again opening the file in Visio 2002. However, the regenerated memory model will only include the Web site links that are represented by shapes on the Web site map.


About the Filter window (Web site map)

The Filter window displays all the links discovered, sorted by their extension group or protocol group.

Selected links or group types are displayed in the Web site map. Clear a link or group type to remove it from the site map. Cleared links remain in the memory model. Re-selecting the links makes them reappear on the Web site map. The filter settings you select are applied only to the Web site map page that is currently displayed.

Those files that are selected in the Filter window display in the site map.

Here are several points to keep in mind when working with links in the Filter window:

  • If you clear an entire group type, all links of that type are removed from the site map, whether or not the individual link is selected.
  • If you delete a link from the Filter window, the link is deleted from the memory model, and shapes representing that link are deleted from all Web site map pages.
  • If you drop a link from the List or Filter window onto the page, the Web Site Map template redraws the entire Web site map using that link as the starting point.

By default, the Filter window is docked to the lower left border of the drawing area. You can move and resize it.

To open or close the Filter window, on the Web menu point to Windows and then click Filter Window.


About the List window (Web site map)

The List window displays all the links discovered, sorted according to the hierarchical structure of the Web site.

If you delete a link from the List window, the link is deleted from the memory model, and shapes representing that link are deleted from all Web site map pages. However, if you delete a shape representing a link from a Web site map page, the link remains in the memory model and the List window.

When you drop a link from the List or Filter window onto the page, the Web Site Map template redraws the entire site map using that link as the starting point.

By default, the List window is docked to the upper left border of the drawing area. You can move and resize it.

To display the shape that represents a link, select the drawing page on which the shape appears, right-click the link in the List window, and click Show On Current Page. The shape is selected and displayed centered in the drawing area.

To open or close the List window, on the Web menu, point to Windows and then click List Window.


About Page-Centric and Hierarchical views (Web site map)

There are two ways to view the shapes on your Web site map: page-centric and hierarchical.

Use the page-centric view to display a single specific element, such as a Web page, and the links to and from that element. Page-centric viewing creates a new page in your map and places the shape you have selected at the center of the page, with the links to that shape above it and the links from that shape beneath it.

To place a shape in the center of the page-centric view, select the shape, from the Web menu point to View, and then click Page Centric.

Only one page is added to your site map for page-centric views. Each time you select another shape for the page centric view, that shape replaces the current shape in the page centric viewing page.

The page-centric view displays a single shape and the links to and from it.

Use the hierarchical view to display all the shapes you included in your Web site map, arranged according to the hierarchical layout pattern you have chosen (such as flowchart or circular).

Use the heirarchical view to display shapes in the order of discovery.

To switch between the two views, on the Web menu, point to View, and then click either Hierarchical or Page Centric.


Conceptual Web site diagram example

Conceptual web site example with shapes linked to display site structure and traffic flow.


Annotate a conceptual Web site diagram

  1. Drag the desired callout shape onto the drawing page from the Callout stencil.
  2. Connect the callout shape to the shape with which the callout information is associated.
  3. Double-click the callout shape to enter text. You can also adjust the width of the callout text block by dragging the callout shape's selection handles [image].


Add a description to a conceptual Web site shape

  1. On the View menu, click Custom Properties Window.
  2. In the Description box, type a description, and then click OK.


Options dialog box (Links tab)

Expand all contracted text Show All

Web Site Map Settings dialog box (Extensions tab)

Use the Extensions tab to select file types to include in your Web site map, and shapes to represent them. File types are based on the file extensions (such as jpeg, wav, or asp).

Click to show or hide information. Name

Displays the name of the file type.

Select the check box to the left of the name to include that file type in the generated Web site map.

Click to show or hide information. Extensions

Displays a list of the extensions included in that file type. For example, by default the Graphics file type includes the following extensions: img, jpg, jpeg, gif, bmp, png, art, and jpe.

Click to show or hide information. Shape

Displays the shape used to represent that file type in the generated Web site map. Each shape can only be used for one file type.

Click to show or hide information. Add

Click to open the Add Extensions dialog box, where you can add to the Extensions list.

Click to show or hide information. Modify

Select a file type and then click Modify to open the Modify Extensions dialog box. Use to edit the properties of a file type, such as which extensions to include and which shape to use to represent links of that type.

Click to show or hide information. Remove

Select a file type and then click Remove to remove it from the Extensions list. If you remove a file type, it will not appear in the list for any future Web site discoveries; you will have to manually recreate it, or click Default, which restores all the defaults and undoes any modifications you have made. To remove a file type from discovery but retain it in the list for future discoveries, clear the check box to the left of the file type name.

You cannot delete the HTML file type.

Click to show or hide information. Defaults

Click to restore the default file types in the Extensions list, including types you have removed, and undo any modifications you have made.

By default, the Web Site Map template searches for these file types:

File Type | Extension
ASP | asp asa cdx
Archive | zip cab z gz tgz uu uue hqx lha lzh sit sea
Audio | wav snd au aif aifc aiff mp2 mp3 mid rmi midi wma ra ram
Document | doc xls ppt mdb pub prj vsd rtf pdf txt
FrontPage file | fpweb fphtml
Generic | *.*
Graphic | img jpg jpeg gif bmp png art jpe
HTML | htm html shtm shtml htw mht mhtml jhtml php php3
Image map | map
Java and JavaScript | class js java
Multimedia | swf dcr swl wrl wm rm
Plug-in | ocx dll
Program | exe bin
Script | cgi vbs cfm
Template | css asx htx htt
Video | avi mov qt mpg mpeg mpe wmv m1v mpv2 mp2v mpa asf
XML | xml xsl dtd osd cdf

Click to show or hide information. Enable All

Click to select all file types in the Extensions list.

Click to show or hide information. Disable All

Click to clear all file types in the Extensions list.


Options dialog box (Advanced tab)

Expand all contracted text Show All

Web Site Map Settings dialog box (Attributes tab)

Use the Attributes tab to determine which HTML attributes the Web Site Map template searches.

Click to show or hide information. Attributes

Displays a list of HTML attributes. Select the check box next to the attribute to have the Web Site Map template search that attribute for links during discovery and display those links on the generated Web site map.

Selected attributes are searched regardless of the HTML element in which they appear. For example, the IMG attribute can be included in both the SRC and USEMAP HTML elements.

Click to show or hide information. Add

Click to open the Add Attribute dialog box, where you can add an attribute to the Attributes list.

Click to show or hide information. Modify

Click to open the Modify Attribute dialog box, where you can modify an attribute in the Attributes list.

You cannot modify the HREF attribute.

Click to show or hide information. Remove

Select an attribute and then click Remove to remove it from the Attributes list. If you remove an attribute, it will not appear in the list for any future Web site discoveries; you will have to manually recreate it, or click Default, which restores all the defaults (and undoes any modifications you have made). To remove an attribute from the current discovery but retain it in the list for future discoveries, clear the check box to the left of the attribute name.

You cannot delete the HREF attribute.

Click to show or hide information. Defaults

Click to restore the default attributes in the Attributes list, including any you have deleted, and undo any modifications you have made.

By default, the Web Site Map template searches the following attributes:

  • ACTION
  • BACKGROUND
  • CODE
  • HREF
  • SRC

Click to show or hide information. Enable All

Click to select all attributes in the Attributes list.

Click to show or hide information. Disable All

Click to clear all attributes in the Attributes list.


Add Links dialog box

Expand all contracted text Show All

Add Extensions dialog box

Use this dialog box to add a file type to the Extensions list on the Extensions tab, specify which file extensions are included in that file type, and select the shape to represent that type on the generated Web site map.

Click to show or hide information. Name

Type the name of the file type you want to add. For example, you might type Multimedia if you're adding a file type with sound and video file extensions.

Click to show or hide information. Shape

Select the shape you want to represent this file type in the generated Web site map. The list includes all shapes on the Web Site Map stencil that have not been selected for another extension or protocol type. The selected shape is displayed to the right.

Click to show or hide information. May contain additional links

Select to have the Web Site Map template search files of this type for additional links. For example, by default ASP and HTML files are searched for additional links, while JPEG and other image files are not.

Click to show or hide information. Extension

Type the extension(s) of the file formats you want to associate with the name you typed in the Name field. You don't need to type a period (.) before the file format.

Click to show or hide information. New

Click to add a file extension to be associated with this file type. When you click New, a placeholder name appears in the Extension field. Overwrite the placeholder with the extension of the file format you want to add to the file type.

Click to show or hide information. Delete

Select a file format extension and click to remove it from the list.


Add Attributes dialog box

Add Attribute dialog box

In the Attribute box, type the attribute you want to add. If you enter more than one attribute, separate the attributes with commas, with no space between. For example, type INPUT,SCRIPT.


Generate Site Map dialog box

Use the Generate Site Map dialog box to specify the address of the site you want to map. The current discovery and diagram layout settings are also displayed (these can be changed in the Web Site Map Settings dialog box).

Click to show or hide information. Address

Enter the address of the file you want to serve as root for the site map. To navigate to the root, click Browse.

For an HTTP server, type the address of the Web site you want to map, for example, www.championzone.org. You don't need to type http://.

If you specify an address with a file name, such as www. championzone.org/products/press.htm, the Web Site Map template uses that file as the root of your site map. If you specify an address without a file name, such as www. championzone.org, the Web Site Map template will use the default file returned by the Web server.

Note You can achieve best results by entering a full path and file name rather than a path that assumes a default file name. For example, enter http://championzone.org/default.html rather than http://championzone.com.

Click to show or hide information. Browse

Opens the Open dialog box, in which you can navigate to the file you want to serve as the root for the site map.

Current Discovery Settings

Click to show or hide information. Maximum number of levels

Displays the number (1–12) of horizontal levels you want to search.

A Web site map consisting of several levels of links.

To change the current discovery settings, click Settings, and on the Layout tab select the discovery options you want.

Click to show or hide information. Maximum number of links

Displays the maximum number of Web links you want to search. This template uses shapes to represent links, so it adds a shape to your site map for every link it finds.

To change the current discovery settings, click Settings, and on the Layout tab select the discovery options you want.

Current Diagramming Settings

Click to show or hide information. Layout

Displays the diagram layout style currently selected.

To change layout options for your Web site map, click Settings, and on the Layout tab, click Modify Layout.

Click to show or hide information. Show external links

Indicates whether the Web site map will include links to files outside of the specified search criteria. External links go outside of the domain or sub-tree that contains the file you entered in the Address field.

To change this option, click Settings, and, on the Advanced tab, select or clear Include links to files outside of search criteria.

Click to show or hide information. Settings

Opens the Web Site Map Settings dialog box. Use the Layout, Extensions, Protocols, Attributes, and Advanced tabs to specify the types of links you want to include in your site map and the attributes and protocols you want to search.


Edit Attributes dialog box

Modify Attributes dialog box

In the Attribute box, edit the selected attributes.


Edit Links dialog box

Expand all contracted text Show All

Modify Extensions dialog box

Edit a file type in the Extensions list on the Extensions tab, specify which file extensions are included in that file type, and select the shape to represent that type on the generated Web site map.

Click to show or hide information. Name

Edit the name of the file type. For example, you might type Multimedia if you're editing a file type with sound and video file extensions.

Click to show or hide information. Shape

Select the shape you want to represent this file type in the generated Web site map. The list includes all shapes on the Web Site Map stencil that have not been selected for another extension or protocol type. The selected shape is displayed to the right.

Click to show or hide information. May contain additional links

Select to have the Web Site Map template search files of this type for additional links. For example, by default ASP and HTML files are searched for additional links, while image files such as JPEGs are not.

Click to show or hide information. Extension

Edit the extension(s) of the file formats you want to associate with the name you type in the Name field. You don't need to type a period (.) before the file format.

Click to show or hide information. New

Click to add a file extension to be associated with this file type. When you click New, a placeholder name appears in the Extension field as a placeholder. Overwrite the placeholder with the extension of the file format you want to add to the file type.

Click to show or hide information. Delete

Select a file format extension and click to remove it from the list.


Web Site Map Settings dialog box (Layout tab)

Use the Layout tab to set the range of the Web site discovery, and the layout style for the generated site map.

Discover

Click to show or hide information. Entire Web Site

Select to generate a site map for an entire Web site. The Web Site Map template will discover all links originating from the file you specified as the Web site root in the Generate Web Site Map dialog box. The Web Site Map template continues searching until either of the limits entered for the Maximum number of levels and Maximum number of links options is reached.

Click to show or hide information. Maximum number of levels

Type the number (1–12) of horizontal levels you want to search. The default is 3.

A Web site map consisting of several levels of links.

Click to show or hide information. Maximum number of links

Type the maximum number of Web links you want to search. This template uses shapes to represent links, so it adds a shape to your site map for every link it finds.

If the maximum number of links you specify is larger than the number of links in the entire Web site you're mapping, all the site's links are discovered. The default is 300. The maximum is 5,000.

Click to show or hide information. One Level

Select to generate a site map that is one level deep. For example, select this option if you want to create a map for all the links on your home page only.

A Web site map consisting of the topmost shape and a single level of links.

Click to show or hide information. Complete current level after maximum number of links have been discovered

Select to complete discovery of a Web site level even if the Web Site Map template has discovered the maximum number of links you specified.

For example, suppose you specified 500 as the maximum number of links for your Web site map. If the template is discovering the third level of links when it reaches 500 links, if this option is selected it will continue until it discovers all the links in the third level.

Layout Style

Click to show or hide information. Placement

Displays the shape placement style for the initial layout of your Web site map.

To change layout options for your Web site map, click Modify Layout.

Click to show or hide information. Routing

Displays the connector style for the initial layout of your Web site map.

To change layout options for your Web site map, click Modify Layout.

Click to show or hide information. Modify Layout

Opens the Lay Out Shapes dialog box, which you can use to change the initial layout options of your Web site map.


Web Site Map Settings dialog box (Protocols tab)

Some Web site links do not have associated files with them, but instead derive their syntax from a protocol. For example, the mailto and NEWS protocols do not have files types associated with them. Use the Protocols tab to determine which protocols to include in your Web site map, and which shapes to represent them.

Click to show or hide information. Name

Displays the name of the protocol type, such as Newsgroup or Search.

Select the check box to the left of the protocol type name to include it among the shapes laid out in the generated Web site map.

Click to show or hide information. Protocols

Displays the protocols in each protocol type. For example, the Newsgroup protocol type includes the NEWS and NNTP protocols.

Click to show or hide information. Shape

Displays the shape used to represent that protocol type in the generated Web site map.

Click to show or hide information. Add

Click to open the Add Protocols dialog box, where you can add a protocol type to the Protocols list.

Click to show or hide information. Modify

Select a protocol type and then click Modify to open the Modify Protocols dialog box. Use to edit the properties of a protocol type, such as which protocols to include and which shape to use to represent links of that type.

Click to show or hide information. Remove

Select a protocol type and then click Remove to remove it from the Protocols list. If you remove a protocol type, it will not appear in the list for any future Web site discoveries; you will have to manually recreate it, or click Default, which restores all the defaults (and undoes any modifications you have made). To remove a protocol type from discovery but retain it in the list for future discoveries, clear the check box to the left of the protocol type name.

You cannot delete the HTTP protocol type.

Click to show or hide information. Defaults

Click to restore the default protocol types in the Protocols list, including any you have deleted, and undo any modifications you have made.

By default, the Web Site Map template searches for the following protocols:

Protocol type | Protocol
FTP | ftp
File | file
Gopher | GOPHER
HTTP | http https
MailTo | Mailto
Newsgroup | NEWS NTTP
Search | PROSPERO
Telnet | TELNET
WAIS | WAIS

Note The HTTP protocol is also searched by default. However, it is not listed on the Protocols tab because it cannot be removed or disabled. All HTTP links are assigned a shape based on the extension of the file linked to.

Click to show or hide information. Enable All

Click to select all protocol types in the Protocols list.

Click to show or hide information. Disable All

Click to clear all the protocol types in the Protocols list.


Web Site Map Settings dialog box (Advanced tab)

Use the Advanced tab to limit the scope of a Web site discovery, choose which links to display, and provide authentication for discovering protected Web sites.

Search Criteria

Click to show or hide information. Analyze all files discovered

Select to search through all links discovered, no matter where the files those links refer to are located. This is the broadest of the search options.

Click to show or hide information. Analyze files within specified domain

Select to search through only those links that are within the domain you have specified. For example, if you entered www.championzone.org/products/soccer as the Web address to discover, only the files on servers in the domain www.championzone.org are searched during discovery.

If you have also selected Include links to files outside of search criteria, any links outside the search criteria are included but are not searched for additional links.

Click to show or hide information. Analyze files within specified sub-tree

Select to search through only those files located within the folder you have specified. For example, if you entered www.championzone.org/products/soccer/ as the Web address to discover, only files located in the soccer directory (or any of its subdirectories) are searched during discovery. All links that begin with www.championzone.org/products/soccer/ are searched.

Click to show or hide information. Include links to files outside of search criteria

Select to include links to files outside of the search criteria you selected above. The Web Site Map template includes any links to files outside the search criteria, but it does not search those files for additional links.

For example if you select Analyze files within specified domain, and entered www.championzone.org as the Web address to discover, the discovery includes a link to a file on www.microsoft.com, but does not search that file for additional links.

Click to show or hide information. Display duplicate links as expandable

Select to enable duplicate links shapes to be expandable on the generated Web site map. If you select this option, you can right-click a duplicate shape and click Expand to display the links from the shape. If you clear this option, the Expand command is not available.

Duplicate links are links to the same location from more than one place on a Web page. For example, a Web page may contain a link to a site's home page from two or more areas on the page.

This option is not selected by default.

Click to show or hide information. Discover links within VBScript and JavaScript

Select to have the Web Site Map template discover links within HTML-embedded scripts. (Scripts are usually hidden within comment tags in HTML to avoid confusing older browsers that do not support scripts.) Use this option with caution, because searching scripts may cause Microsoft Internet Explorer to become unstable during Web site discovery. (The Web Site Map template uses Internet Explorer components to perform Web discoveries.)

This option is not selected by default.

HTTP authentication

Click to show or hide information. Name

Enter a name for any HTTP authentication required at the Web site you want to discover. This only applies to HTTP authentication; it does not apply to any network-level security that must be accessed.

For security reasons, this information is not saved when you exit Visio.

Click to show or hide information. Password

Enter a password for any HTTP authentication required at the Web site you want to discover. This only applies to HTTP authentication; it does not apply to any network-level security that must be accessed.

For security reasons, this information is not saved when you exit Visio.

Internet Properties

Click to show or hide information. Advanced

Click to open the Internet Options dialog box for Microsoft Internet Explorer, which you can use to edit the content or security filters for the Web discovery. (The Web Site Map template uses Internet Explorer components to perform Web discoveries.)


Add Protocols dialog box

Add a protocol type to the Protocols list on the Protocols tab, specify which protocols are included in that type, and select the shape to represent that type on the generated Web site map.

Click to show or hide information. Name

Type the name of the protocol type you want to add. For example, you might type Newsgroup if you're adding a type that includes the NEWS and NNTP protocols.

Click to show or hide information. Shape

Select the shape you want to represent this protocol type in the generated Web site map. The list includes all shapes on the Web Site Map stencil that have not been selected for another extension or protocol type. The selected shape is displayed to the right.

Click to show or hide information. Protocol

Enter the name of the protocols you want to include in the protocol type you entered in the Name field.

Click to show or hide information. New

Click to add a protocol to be included in this protocol type. When you click New, placeholder text appears in the Protocol field as a placeholder. Overwrite the placeholder with the name of the protocol you want to add to the protocol type.

Click to show or hide information. Delete

Select a protocol and click to remove it from the list.


Modify Protocols dialog box

Edit a protocol type for the Protocols list on the Protocols tab, specify which protocols are included in that type, and select the shape to represent that type on the generated Web site map.

Click to show or hide information. Name

Edit the name of the protocol type you selected. For example, you might type Newsgroup if you're editing a type that includes the NEWS and NTTP protocols.

Click to show or hide information. Shape

Select the shape you want to represent this protocol type in the generated Web site map. The list includes all shapes appearing on the Web Site Map stencil that have not been selected for another extension or protocol type. The selected shape is displayed to the right.

Click to show or hide information. Protocol

Enter the name of the protocols you want to include in the protocol type you entered in the Name field.

Click to show or hide information. New

Click to add a protocol to be included in this protocol type. When you click New, placeholder text appears in the Protocol field as a placeholder. Overwrite the placeholder with the name of the protocol you want to add to the protocol type.

Click to show or hide information. Delete

Select a protocol and click to remove it from the list.


Web site map example

A Web site map showing actual hierarchical structure of links in the site.


Web site map (with broken links) example

A Web site map showing structure of site. Any shape with a red X denotes a broken link.


About HTML tags and attributes

HTML elements, or tags, typically work in pairs and appear between angle brackets <>. For example, the <P> and </P> tags mark the beginning and end of a paragraph, respectively. The <HTML> and </HTML> tags mark the beginning and end of an HTML page, respectively. Similarly, the <TABLE> and </TABLE> tags mark the beginning and end of a table, respectively, and so on.

Attributes appear inside tags, and are used to specify a value. Unlike tags, attributes don't work in pairs. For example, the HREF attribute is used to specify a hyperlink. The SRC attribute is used to specify the location of an image. The WIDTH attribute is used to specify the width of an image, and so on.

In the example below, the tags are red, the attributes are blue, and the value of the attribute is green.

Example

<P><A HREF="http://Championzone/SiteMap.html">This is a single paragraph linked to a site map. </A> </P>


Determine what caused a broken link

  1. Select a shape that represents a broken link.
  2. On the View menu, click Custom Properties Window to view the error in the Custom Properties window.

Click to show or hide information. Tip

You can also right-click a shape and click Properties to view the Custom Properties window.


Work with Web site map shapes

Click to show or hide information. Move a shape's text

Drag the control handle [image].

Click to show or hide information. View a shape's file name

Right-click the shape.

Click to show or hide information. View a shape's hyperlink

Right-click the shape, and click Configure Hyperlinks.

Click to show or hide information. Modify a shape's hyperlink

Right-click the shape, click Configure Hyperlinks, change the hyperlink, and then click OK.

Click to show or hide information. Open a shape's hyperlink in your default browser

Right-click the shape, and then click the hyperlink on the shortcut menu.

Click to show or hide information. Add a shape to the site map memory model

  1. Open or generate the Web site map.
  2. Drag the shape you want to add to the Web site map onto the drawing page.
  3. Right-click the shape, and click Configure Hyperlinks. Specify an address for the element this shape is representing. Click OK.

The element is added to the memory model, and the element address appears in the List Window.

  4. Optional: Connect the shape to other shapes on the Web site map.

Note Adding a shape to a Web site map does not add an element to the Web site itself.

Click to show or hide information. Show or hide links for HTML and ASP shapes

To show more links for an HTML or ASP shape, either right-click the shape and then click Expand [Address], or double-click the shape.

To hide the links below an HTML or ASP shape, either right-click the shape and then click Collapse [Address], or double-click the shape.

Note You can only expand or collapse an HTML or ASP shape that already contains links.


Show or hide links for HTML and ASP shapes

To show more links for an HTML or ASP shape, either right-click the shape and then click Expand [Address], or double-click the shape.

To hide the links below an HTML or ASP shape, either right-click the shape and then click Collapse [Address], or double-click the shape.

Note You can only expand or collapse an HTML or ASP shape that already contains links.


Change the view of a Web site map

On the Web menu, point to View, and do one of the following:

  • To display all the shapes in your Web site map hierarchically in the layout pattern you've chosen, click Hierarchical.
  • To display a single selected shape and the links connected to it, select the page, then on the Web menu point to View, and click Page Centric. The selected shape is centered on the drawing page, with the links arranged around it.


Add a shape to a Web site map

  1. Open or generate the Web site map.
  2. Drag the shape you want to add to the Web site map onto the drawing page.
  3. Right-click the shape, and click Configure Hyperlinks. Specify an address for the element this shape is representing. Click OK.

The element is added to the memory model, and the element address appears in the List Window.

  4. Optional: Connect the shape to other shapes on the Web site map.

Note Adding a shape to a Web site map does not add an element to the Web site itself.